gtkmm 2.4: Gtk::Notebook_Helpers::Page Class Reference

Main Page Widgets Namespaces Book

# Gtk::Notebook_Helpers::Page Class Reference

Inheritance diagram for Gtk::Notebook_Helpers::Page:

[legend]
List of all members.

## Public Member Functions
Widget* | get_child () const
Widget* | get_menu_label () const
Glib::ustring | get_menu_label_text () const
int | get_page_num () const
Widget* | get_tab_label () const
Glib::ustring | get_tab_label_text () const
void | query_tab_label_packing (bool& expand, bool& fill, PackType& pack_type)
void | set_menu_label (Widget& menu_label)
void | set_menu_label_text (const Glib::ustring& menu_text)
void | set_tab_label (Widget& tab_label)
void | set_tab_label_packing (bool expand, bool fill, PackType pack_type)
void | set_tab_label_text (const Glib::ustring& tab_text)
## Protected Member Functions
| Page ()

## Constructor & Destructor Documentation

Gtk::Notebook_Helpers::Page::Page | ( |  | ) | `[protected]`

## Member Function Documentation

Widget* Gtk::Notebook_Helpers::Page::get_child | ( |  | ) | const

Widget* Gtk::Notebook_Helpers::Page::get_menu_label | ( |  | ) | const

Glib::ustring Gtk::Notebook_Helpers::Page::get_menu_label_text | ( |  | ) | const

int Gtk::Notebook_Helpers::Page::get_page_num | ( |  | ) | const

Widget* Gtk::Notebook_Helpers::Page::get_tab_label | ( |  | ) | const

Glib::ustring Gtk::Notebook_Helpers::Page::get_tab_label_text | ( |  | ) | const

void Gtk::Notebook_Helpers::Page::query_tab_label_packing | ( | bool& | expand,
|  | bool& | fill,
|  | PackType& | pack_type
| ) |

void Gtk::Notebook_Helpers::Page::set_menu_label | ( | Widget& | menu_label | ) |

void Gtk::Notebook_Helpers::Page::set_menu_label_text | ( | const Glib::ustring& | menu_text | ) |

void Gtk::Notebook_Helpers::Page::set_tab_label | ( | Widget& | tab_label | ) |

void Gtk::Notebook_Helpers::Page::set_tab_label_packing | ( | bool | expand,
|  | bool | fill,
|  | PackType | pack_type
| ) |

void Gtk::Notebook_Helpers::Page::set_tab_label_text | ( | const Glib::ustring& | tab_text | ) |

The documentation for this class was generated from the following file:

- notebook.h